@import "../../style/miam.scss";

.list-input-container {
  min-width: 320px;
  width: 85%;
  padding: 5px;
  border-radius: 6px;
  box-shadow: 0px 2px 10px -4px  var(--m-color-grey-text);
  margin: 5px 0 5px 0;
  background-color: var(--m-color-grey);

  ul {
    display: flex;
    flex-direction: column;
    padding: 0;
    height: 310px;
    overflow-y: auto;
    overflow-x: hidden;

    li {
      list-style: none;
      display: inline-flex;
      align-items: center;
      font-weight: 400;
      font-size: 16px;
      width: 100%;
      margin-bottom: 5px;
      border-radius: 6px;
      background-color:  #fff;
      padding: 5px 0;

      &.ingredient-row{
        flex-direction: column;
        background-color: var(--m-color-grey);
        padding: 0;
        margin-bottom: 0;
        border-radius:0;
        div{
          display: inline-flex;
      align-items: center;
      font-weight: 400;
      font-size: 16px;
      width: 100%;
      margin-bottom: 5px;
      border-radius: 6px;
      background-color:  #fff;
      padding: 5px 0;
        }
      }


      textarea{
        flex: 1;
        padding: 0;
        margin: 0;
        border: none;
        outline: none;
        font-size: 14px;
        resize: none;
        line-height: 1.6;     
        font-weight: 500;
        letter-spacing: normal;
        box-sizing: border-box;
        font-family: sans-serif, "Helvetica Neue",Helvetica,Arial;
        border-radius: var(--m-border-radius);
        padding: 5px;

        &.warnning{
          background-color: var(--m-color-secondary-light);
          color: var(--m-color-secondary);
         
        }

        &.error {
         background-color: var( --m-color-danger-light);
          color: var( --m-color-danger);
        }
      }
      textarea[cdktextareaautosize] {
        overflow: hidden;
    }

      .clear {
        cursor: pointer;
      }

      .grip {
        cursor: grab;
      }
    }
  }

  .medium-input{
    width: 100px;
  }

  .small-input{
    width: 50px;
  }

  .hint {
    flex: 1;
    font-weight: 600;
    border-radius: var(--m-border-radius);
    font-size: 12px;
    padding-bottom: 10px;

    &.warnning{
      color: var(--m-color-secondary);
    }
    &.error {
      color: var( --m-color-danger);
    }
  }

  .placeholder-container{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 340px;
    span{
      text-align: center;
      font-size: 16px;
      font-weight: 500;
      margin: 20px;
    }
  }

  .row-placeholder {
    
    background: #fff;;
    border-radius: 6px;
    min-height: 42px;
    min-width: 320px;
    margin-bottom: 5px;
    transition: transform 250ms cubic-bezier(0, 0, 0.2, 1);
  }
}

.cdk-drag-animating {
  transition: transform 250ms cubic-bezier(0, 0, 0.2, 1);
}


.preview-container {
  display: inline-flex;
  align-items: center;
  justify-content: space-between;
  font-weight: 500;
  font-size: 14px;
  width: 25vw;
  min-width: 320px;
  margin-bottom: 5px;
  border-radius: 6px;
  background-color:  #fff;
  padding: 5px 0;
  box-shadow: 0 5px 5px -3px rgba(0, 0, 0, 0.2), 0 8px 10px 1px rgba(0, 0, 0, 0.14), 0 3px 14px 2px rgba(0, 0, 0, 0.12);
}
.action-container {
  display: flex;
}
.main-input {
  outline: none;
  border: solid 3px var(--m-color-primary);
  border-radius: 6px 0 0 6px;
  resize: none;
  flex: 1;
}
.add-button {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--m-color-primary);
  outline: none;
  border: none;
  border-radius: 0px var(--m-border-radius) var(--m-border-radius) 0;
  transition: transform 250ms cubic-bezier(0, 0, 0.2, 1);
}

ng-miam-icon{
  &.buttonClick{
    transform: scale(0.8);
  }
}
